import boto3
import logging

from django.conf import settings


log = logging.getLogger('send_video_to_s3')


def upload_file(content, key, content_type):
    log.info(f'Uploading file {key} to S3...')

    s3 = boto3.client(
        's3',
        aws_access_key_id=settings.AWS_ACCESS_KEY_ID,
        aws_secret_access_key=settings.AWS_SECRET_ACCESS_KEY,
        region_name=settings.AWS_REGION_NAME
    )

    s3.put_object(
        Bucket=settings.AWS_STORAGE_BUCKET_NAME,
        Key=key,
        Body=content,
        ContentType=content_type,
    )
    log.info(f'File {key} uploaded to S3...')

    return key

